{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":41255,"path":"platform-security/identity/scim-customization-properties-and-schemas.md","title":"SCIM customization properties and schemas","bundle":null,"doc_type":null,"release":"australia","body":"\n# SCIM customization properties and schemas\n\nThe SCIM customization includes the following properties, supported schemas, and unsupported schemas.\n\n## Properties\n\nSCIM customization adds the following system properties.\n\n<table id=\"table_zyl_dyx_ctb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n**com.snc.integration.scim2.max.member.count**\n\n</td><td>\n\nThe SCIM maximum member count.\n\n</td></tr><tr><td>\n\n**com.snc.integration.scim2.resolve.externalid.conflict**\n\n</td><td>\n\nResolve SCIM resources based on the source definition of the requesting client if multiple resources are found with an external ID SCIM filter.**Note:** As a prerequisite, if provisioning is done from multiple sources, then the sources must be defined in the SCIM Source Definition table. If sources are not defined or if this property is inactive, then all matching resources are returned with an external Id filter response.\n\n</td></tr><tr><td>\n\n**com.snc.integration.scim2.user.etl.definition.id**\n\n</td><td>\n\nThe SCIM User ETL Definition ID.\n\n</td></tr><tr><td>\n\n**com.snc.integration.scim2.group.etl.definition.id**\n\n</td><td>\n\nThe SCIM Group ETL Definition ID.\n\n</td></tr><tr><td>\n\n**com.snc.integration.scim2.rte.verbose.logging.enabled**\n\n</td><td>\n\nEnables verbose logging for SCIM User and Group RTE definitions.\n\n</td></tr><tr><td>\n\n**com.snc.integration.scim2.string.field.length.validation.enabled**\n\n</td><td>\n\nThe length validation for fields. This property enables validation instead of truncating and saving the field.\n\n</td></tr><tr><td>\n\n**com.snc.integration.scim2.provider.customization.script.id**\n\n</td><td>\n\nThe ID of the script include for customizing the SCIM responses.\n\n</td></tr></tbody>\n</table>## Supported schemas\n\nSCIM customization adds the following supported schemas.\n\n|Schemas|Description|Prefix|Example|\n|-------|-----------|------|-------|\n|**urn:ietf:params:scim:schemas:core:2.0:User**|Includes core attributes for the resources.|none|name.middleName|\n|**urn:ietf:params:scim:schemas:extension:servicenow:2.0:User**|Includes attributes that are related to ServiceNow.|servicenow|servicenow.manager.value|\n|**urn:ietf:params:scim:schemas:extension:servicenow:custom:2.0:User**|Includes custom attributes that are not mapped as part of the core extension or  the ServiceNow extension schema.|custom|custom.socialId|\n\n## Unsupported schema\n\n**urn:ietf:params:scim:schemas:extension:enterprise:2.0:User**: Includes attributes commonly used in representing users that belong to or act on behalf of a business or an enterprise.\n\n**Note:** Enterprise schema is a valid schema but its attributes are mapped to any table. Because database persistence is not supported, there will be no error displayed if an enterprise schema is included in the request body.\n\n"}}